Generation Framework

## org.eclipse.gmf.gmfgraph
Interface AbstractNode

All Superinterfaces:
  DiagramElement, org.eclipse.emf.ecore.EObject, Identity, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  DiagramLabel, Node

All Known Implementing Classes:
  AbstractNodeImpl, DiagramLabelImpl, NodeImpl

    public interface AbstractNode

extends DiagramElement

A representation of the model object 'Abstract Node'.

See Also:
  `GMFGraphPackage.getAbstractNode()`
** Generated **
Model:
  abstract="true"

Method Summary

Methods inherited from interface org.eclipse.gmf.gmfgraph.DiagramElement
`getFacets, getFigure, setFigure`

Methods inherited from interface org.eclipse.gmf.gmfgraph.Identity
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.